ParserFactory
Keywords: net.sf.colorer.ParserFactory,ParserFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer
Class ParserFactory

    java.lang.Object
      |
      +--net.sf.colorer.ParserFactory

public class ParserFactory
extends java.lang.Object

Constructor Summary
`ParserFactory()`
`ParserFactory(java.lang.String catalogPath)`

Method Summary
`RegionMapper` | `createStyledMapper(java.lang.String classID, java.lang.String nameID)`
`RegionMapper` | `createTextMapper(java.lang.String classID, java.lang.String nameID)`
`TextParser` | `createTextParser()`
`java.util.Enumeration` | `enumerateFileTypes()`
`java.util.Enumeration` | `enumerateHRDClasses()`
`java.util.Enumeration` | `enumerateHRDInstances(java.lang.String classID)`
`protected void` | `finalize()`
`java.lang.String` | `getFileTypeDescription(java.lang.String filetype)`
`java.lang.String` | `getFileTypeGroup(java.lang.String filetype)`
`HRCParser` | `getHRCParser()`
`java.lang.String` | `getHRDescription(java.lang.String classID, java.lang.String nameID)`
`java.lang.String` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserFactory

    public ParserFactory(java.lang.String catalogPath)

### ParserFactory

    public ParserFactory()

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
    `java.lang.Throwable`

### getVersion

    public java.lang.String getVersion()

### enumerateFileTypes

    public java.util.Enumeration enumerateFileTypes()

### getFileTypeGroup

    public java.lang.String getFileTypeGroup(java.lang.String filetype)

### getFileTypeDescription

    public java.lang.String getFileTypeDescription(java.lang.String filetype)

### enumerateHRDClasses

    public java.util.Enumeration enumerateHRDClasses()

### enumerateHRDInstances

    public java.util.Enumeration enumerateHRDInstances(java.lang.String classID)

### getHRDescription

    public java.lang.String getHRDescription(java.lang.String classID,
                                             java.lang.String nameID)

### getHRCParser

    public HRCParser getHRCParser()

### createTextParser

    public TextParser createTextParser()

### createStyledMapper

    public RegionMapper createStyledMapper(java.lang.String classID,
                                           java.lang.String nameID)
                                    throws ParserFactoryException

    `ParserFactoryException`

### createTextMapper

    public RegionMapper createTextMapper(java.lang.String classID,
                                         java.lang.String nameID)
                                  throws ParserFactoryException

    `ParserFactoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.